package com.srs.workstudy.mapper;

import java.util.List;

import com.srs.workstudy.domain.QgzxPostChange;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 勤工助学岗位修改人数Mapper接口
 *
 * @author srs
 * @date 2024-09-11
 */
public interface QgzxPostChangeMapper extends BaseMapper<QgzxPostChange> {


    public List<QgzxPostChange> listView(QgzxPostChange param);


    /**
     * 查询勤工助学岗位修改人数
     *
     * @param id 勤工助学岗位修改人数主键
     * @return 勤工助学岗位修改人数
     */
    public QgzxPostChange selectQgzxPostChangeById(Long id);

    /**
     * 查询勤工助学岗位修改人数列表
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 勤工助学岗位修改人数集合
     */
    List<QgzxPostChange> selectQgzxPostChangeList(QgzxPostChange qgzxPostChange);

    /**
     * 新增勤工助学岗位修改人数
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 结果
     */
    int insertQgzxPostChange(QgzxPostChange qgzxPostChange);

    /**
     * 修改勤工助学岗位修改人数
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 结果
     */
    int updateQgzxPostChange(QgzxPostChange qgzxPostChange);

    /**
     * 删除勤工助学岗位修改人数
     *
     * @param id 勤工助学岗位修改人数主键
     * @return 结果
     */
    int deleteQgzxPostChangeById(Long id);

    /**
     * 批量删除勤工助学岗位修改人数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxPostChangeByIds(Long[] ids);
}
